Skip to main content

Visa Deferred Sale with a Token


Use this information to process a Visa deferred sale.

A sale transaction combines an authorization and capture. At the end of the travel period, request a Visa deferred sale with a token for an aggregated payment.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

Example

{    "clientReferenceInformation": {        "transactionId": "21987654321",        "partner": {            "thirdPartyCertificationNumber": "123456789012"        }    },    "processingInformation": {        "industryDataType": "transit",        "reconciliationId": "fgssgsgsgsfg",        "captureOptions": {            "dateToCapture": "0325"        },        "capture": "true",        "commerceIndicator": "retail",        "authorizationOptions": {            "deferredAuthIndicator": "true",            "aggregatedAuthIndicator": "true"        }    },    "orderInformation": {        "amountDetails": {            "totalAmount": "300.00",            "currency": "THB"        }    },    "tokenInformation": {        "jti": "a76392f4-cde4-97aa-1111-0242ac14c005"    },    "pointOfSaleInformation": {        "terminalId": "12345678",        "catLevel": "2",        "entryMode": "contactless",        "terminalCapability": "5",        "terminalPinCapability": "0"    }}
{    "_links": {        "void": {            "method": "POST",            "href": "/pts/v2/payments/6482303624466600104004/voids"        },        "self": {            "method": "GET",            "href": "/pts/v2/payments/6482303624466600104004"        }    },    "clientReferenceInformation": {        "code": "testcode1012",        "transactionId": "21987654321"    },    "id": "6482303624466600104004",    "orderInformation": {        "amountDetails": {            "totalAmount": "300.00",            "authorizedAmount": "300.00",            "currency": "THB"        }    },    "paymentAccountInformation": {        "card": {            "type": "001"        }    },    "paymentInformation": {        "tokenizedCard": {            "type": "001"        },        "card": {            "type": "001"        }    },    "processorInformation": {        "systemTraceAuditNumber": "191328",        "approvalCode": "831000",        "merchantAdvice": {            "code": "01",            "codeRaw": "M001"        },        "responseDetails": "ABC",        "networktransactionId": "016153570198200",        "consumerAuthenticationResponse": {            "code": "2",            "codeRaw": "2"        },        "transactionId": "016153570198200",        "responseCode": "00",        "avs": {            "code": "Y",            "codeRaw": "Y"        }    },    "reconciliationId": "fgssgsgsgsfg",    "status": "AUTHORIZED",    "submitTimeUtc": "2022-03-25T17:46:02Z"}
FieldTypeDescription
clientReferenceInformation.partner.thirdPartyCertificationNumber
clientReferenceInformation.transactionId
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount
pointOfSaleInformation.catLevelSet this field to 2.
pointOfSaleInformation.entryModeSet this field to contactless.
pointOfSaleInformation.terminalCapabilitySet this field to 5.
pointOfSaleInformation.terminalId
pointOfSaleInformation.terminalPinCapabilitySet this field to 0.
processingInformation.authorizationOptions.aggregatedAuthIndicatorSet this field to true.
processingInformation.authorizationOptions.deferredAuthIndicatorSet this field to true.
processingInformation.captureSet this field to true.
processingInformation.captureOptions.dateToCapture
processingInformation.commerceIndicatorSet this field to retail.
processingInformation.industryDataTypeSet this field to transit.
processingInformation.reconciliationId
tokenInformation.jti

Last published: September 29, 2026